Page MenuHomePhabricator

CharInsert Extension should use mw.toolbar.insertTags instead of window.insertTags
Closed, ResolvedPublic

Description

When editing a page and using edittools with CharInsert extension, the following warning is displayed in the web console:

'"Use of "insertTags" is deprecated. Use mw.toolbar.insertTags instead."'

It is probably a good idea to change the extension to use the new function instead.

Event Timeline

Lejonel created this task.Jan 5 2015, 10:53 AM
Lejonel raised the priority of this task from to Needs Triage.
Lejonel updated the task description. (Show Details)
Lejonel added a project: CharInsert.
Lejonel added a subscriber: Lejonel.
Aklapper triaged this task as Lowest priority.Jan 5 2015, 11:58 AM

$:foo\> grep -r insertTags .
./CharInsert.php: 'onclick' => "insertTags('$estart','$eend','');return false",

Is this bug in VE ? Can u please detail it? I want to fix it. Apart "charInsert" ? Is it a MW extension?

@Kabhi2104: Thanks for your interest! Yes, the initial description of this task says "CharInsert extension". VE seems to not be related here. If anything is specifically unclear, please mention what exactly so we can help - however, you are supposed to dive into the code and test your changes yourself. :)

He7d3r updated the task description. (Show Details)Feb 12 2015, 12:15 AM
He7d3r added a project: JavaScript.
He7d3r set Security to None.
TheDJ removed a project: good first bug.
TheDJ added a subscriber: TheDJ.

Actually, as described in the comments of the blocking task, this is probably not as easy to solve as initially considered.

He7d3r renamed this task from CharInsert Extension uses deprecated javascript function "insertTags()" to CharInsert Extension should use mw.toolbar.insertTags instead of window.insertTags.Jun 24 2015, 3:30 PM
He7d3r added a project: good first bug.
matmarex added a subscriber: matmarex.

I'm pretty sure I fixed this in 627c26823efd5ee1ac960d80b06b83e92e15daa5 (September 30). Please reopen if that's not the case.

matmarex closed this task as Resolved.Oct 27 2015, 9:30 PM
matmarex claimed this task.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 27 2016, 12:09 PM